#include <kosSyst.h>
#include <kosFile.h>
#include "core.h"

const char header[] = "HelloWorld test";
const char string[] = "Hello, World!";

void handleKey(Byte &key);

Window* win = new Window();

void buttonclick(Button* btn) {
	win->labels[0]->color = COLOR_BLUE;
	win->labels[0]->text = "Click!!!";

	btn->color = COLOR_YELLOW;

	win->update();
}

void exitButtonClick(Button* btn) {
	kos_ExitApp();
}

void kos_Main() {
	win->header = (Dword)"Window";

	// 
	Button* btn = new Button;
	btn->x = 10;
	btn->y = 10;
	btn->sizeX = 30;
	btn->sizeY = 10;
	btn->id = 0;
	btn->color = COLOR_RED;
	btn->onclick = buttonclick;

	//  
	Button* exitBtn = new Button;
	exitBtn->hidden = true;
	exitBtn->id = 1;
	exitBtn->onclick = exitButtonClick;

	// 
	Label* lbl = new Label;
	lbl->x = 10;
	lbl->y = 50;
	lbl->id = 0;
	lbl->text = "Hello";

	win->addControl(CONTROL_BUTTON, btn);
	win->addControl(CONTROL_BUTTON, exitBtn);
	win->addControl(CONTROL_LABEL, lbl);

	win->waitForEvent();
}